From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/imlib2/
Date: Sun, 24 Nov 2019 13:16:52 +0000 (UTC) [thread overview]
Message-ID: <1574601220.d8872668dbb45f7cc92d3bb05c1ab36545c15f45.juippis@gentoo> (raw)
commit: d8872668dbb45f7cc92d3bb05c1ab36545c15f45
Author: Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 24 13:13:40 2019 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Nov 24 13:13:40 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8872668
media-libs/imlib2: bump to 1.6.0
Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
media-libs/imlib2/Manifest | 1 +
media-libs/imlib2/imlib2-1.6.0.ebuild | 77 +++++++++++++++++++++++++++++++++++
2 files changed, 78 insertions(+)
diff --git a/media-libs/imlib2/Manifest b/media-libs/imlib2/Manifest
index 8dafdfb2936..cdabbeaf224 100644
--- a/media-libs/imlib2/Manifest
+++ b/media-libs/imlib2/Manifest
@@ -1 +1,2 @@
DIST imlib2-1.5.1.tar.gz 1020701 BLAKE2B 33213a49293fba9e86cfec312d3cd8018c2284d60040b63899778d2fa65bffe173926eb14bc893c1a80e1472084a711423f77f6288779486512074e75d92acfd SHA512 9872aa3c4d45b1e9cbb0b1d0a7d5b47256e35f01a4fe19d84d276096c2da053c55bd28554441f92464d19edf1222b427571ba7b06d716031021ff1f9b4bc9656
+DIST imlib2-1.6.0.tar.gz 1038080 BLAKE2B 1e8d2c446dcd5200261e21e4460f35d6d4e9dfac6adc608628e2a47b39464ba1b9e7959f9ffe907a445e051e9bbb04f8fba5eb85703b11f8eff562284f055fe0 SHA512 078fa60783a052590d8c84ee0a1d0b8be3808fddcb4f7be83bfb17181106e2f8c45cb2eb2b41b0a7f5b7c61b15791a71d50c82b1557b61d4f6cea94b87452635
diff --git a/media-libs/imlib2/imlib2-1.6.0.ebuild b/media-libs/imlib2/imlib2-1.6.0.ebuild
new file mode 100644
index 00000000000..de1d4da1407
--- /dev/null
+++ b/media-libs/imlib2/imlib2-1.6.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal toolchain-funcs
+
+DESCRIPTION="Version 2 of an advanced replacement library for libraries like libXpm"
+HOMEPAGE="https://www.enlightenment.org/
+ https://sourceforge.net/projects/enlightenment/files/imlib2-src/"
+SRC_URI="https://downloads.sourceforge.net/enlightenment/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+X bzip2 cpu_flags_x86_mmx cpu_flags_x86_sse2 doc +gif +jpeg mp3 +png +shm
+ static-libs +tiff +webp zlib"
+
+REQUIRED_USE="shm? ( X )"
+
+RDEPEND="
+ media-libs/freetype:2[${MULTILIB_USEDEP}]
+ bzip2? ( app-arch/bzip2[${MULTILIB_USEDEP}] )
+ gif? ( media-libs/giflib[${MULTILIB_USEDEP}] )
+ jpeg? ( virtual/jpeg:0=[${MULTILIB_USEDEP}] )
+ mp3? ( media-libs/libid3tag[${MULTILIB_USEDEP}] )
+ png? ( >=media-libs/libpng-1.6.10:0=[${MULTILIB_USEDEP}] )
+ tiff? ( >=media-libs/tiff-4.0.4:0[${MULTILIB_USEDEP}] )
+ webp? ( media-libs/libwebp:=[${MULTILIB_USEDEP}] )
+ X? (
+ x11-libs/libX11[${MULTILIB_USEDEP}]
+ x11-libs/libXext[${MULTILIB_USEDEP}]
+ )
+ zlib? ( sys-libs/zlib[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+ X? ( x11-base/xorg-proto )"
+BDEPEND="virtual/pkgconfig"
+
+multilib_src_configure() {
+ local myeconfargs=(
+ $(use_with X x)
+ $(use_with bzip2)
+ $(use_with gif)
+ $(use_with jpeg)
+ $(use_with mp3 id3)
+ $(use_with png)
+ $(use_with shm x-shm-fd)
+ $(use_enable static-libs static)
+ $(use_with tiff)
+ $(use_with webp)
+ $(use_with zlib)
+ )
+
+ # imlib2 has different configure options for x86/amd64 assembly
+ if [[ $(tc-arch) == amd64 ]]; then
+ myeconfargs+=( $(use_enable cpu_flags_x86_sse2 amd64) --disable-mmx )
+ else
+ myeconfargs+=( --disable-amd64 $(use_enable cpu_flags_x86_mmx mmx) )
+ fi
+
+ ECONF_SOURCE="${S}" \
+ econf "${myeconfargs[@]}"
+}
+
+multilib_src_install() {
+ V=1 emake install DESTDIR="${D}"
+ find "${D}" -name '*.la' -delete || die
+}
+
+multilib_src_install_all() {
+ if use doc; then
+ local HTML_DOCS=( "${S}"/doc/. )
+ rm "${S}"/doc/Makefile.{am,in} || die
+ fi
+ einstalldocs
+}
next reply other threads:[~2019-11-24 13:16 UTC|newest]
Thread overview: 131+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-11-24 13:16 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-19 6:31 [gentoo-commits] repo/gentoo:master commit in: media-libs/imlib2/ Yixun Lan
2025-03-04 23:54 Yixun Lan
2024-09-19 3:09 Sam James
2024-09-19 3:09 Sam James
2024-09-19 3:09 Sam James
2024-09-19 3:09 Sam James
2024-09-19 3:09 Sam James
2024-07-14 11:01 Yixun Lan
2024-07-14 11:01 Yixun Lan
2024-05-12 11:21 Yixun Lan
2024-04-13 18:57 Arthur Zamarin
2024-04-13 18:53 Arthur Zamarin
2024-04-13 16:01 Arthur Zamarin
2024-04-13 16:01 Arthur Zamarin
2024-04-13 16:01 Arthur Zamarin
2024-04-13 13:59 Sam James
2024-04-13 13:59 Sam James
2024-04-10 23:34 Yixun Lan
2023-03-17 19:40 Andrew Savchenko
2023-01-13 16:32 Arthur Zamarin
2022-12-22 7:27 Arthur Zamarin
2022-12-21 23:09 Sam James
2022-12-21 23:09 Sam James
2022-12-21 22:54 Sam James
2022-12-21 22:48 Sam James
2022-12-21 22:48 Sam James
2022-12-21 22:47 Sam James
2022-12-18 8:32 Sam James
2022-12-11 17:52 Arthur Zamarin
2022-10-20 19:06 Arthur Zamarin
2022-10-20 18:59 Jakov Smolić
2022-10-15 7:06 Jakov Smolić
2022-10-13 23:01 Sam James
2022-10-13 22:46 Sam James
2022-08-01 3:24 Sam James
2022-07-31 14:24 Andrew Savchenko
2022-05-14 3:42 WANG Xuerui
2022-04-29 4:42 Sam James
2021-12-12 10:10 Andrew Savchenko
2021-12-12 1:53 Sam James
2021-12-12 1:53 Sam James
2021-12-12 1:53 Sam James
2021-12-12 1:52 Sam James
2021-12-12 1:51 Sam James
2021-12-11 14:42 Jakov Smolić
2021-12-11 14:42 Jakov Smolić
2021-12-10 21:08 Andrew Savchenko
2021-10-02 22:52 James Le Cuirot
2021-08-16 21:28 Sam James
2021-08-16 8:52 David Seifert
2021-05-27 14:34 Yixun Lan
2021-01-16 13:00 Andrew Savchenko
2021-01-16 13:00 Andrew Savchenko
2020-05-16 7:09 Joonas Niilola
2020-03-15 17:38 Mart Raudsepp
2020-03-10 8:35 Agostino Sarubbo
2020-02-08 7:58 Joonas Niilola
2020-01-27 11:38 Mikle Kolyada
2020-01-17 8:09 Sergei Trofimovich
2020-01-17 8:07 Sergei Trofimovich
2020-01-16 18:14 Sergei Trofimovich
2020-01-15 23:52 Sergei Trofimovich
2020-01-15 5:43 Joonas Niilola
2020-01-15 5:43 Joonas Niilola
2019-12-14 7:42 Joonas Niilola
2019-12-14 7:42 Joonas Niilola
2019-11-26 14:59 Joonas Niilola
2019-11-24 13:36 Joonas Niilola
2019-11-24 13:16 Joonas Niilola
2019-07-31 3:41 Joonas Niilola
2019-05-15 1:04 Aaron Bauman
2018-12-27 18:48 Fabian Groffen
2018-12-12 14:55 Mikle Kolyada
2018-11-28 16:19 Michał Górny
2018-11-28 12:15 Tobias Klausmann
2018-11-18 12:05 Mikle Kolyada
2018-11-06 23:56 Sergei Trofimovich
2018-11-05 7:51 Sergei Trofimovich
2018-11-05 7:51 Sergei Trofimovich
2018-11-03 18:34 Mikle Kolyada
2018-11-01 19:07 Sergei Trofimovich
2018-10-31 23:35 Sergei Trofimovich
2018-10-31 1:04 Thomas Deutschmann
2018-08-25 6:14 Michał Górny
2018-08-23 12:32 Michał Górny
2018-07-31 11:04 Michał Górny
2018-07-29 10:35 Sergei Trofimovich
2018-07-22 23:22 Andreas Sturmlechner
2018-07-22 23:22 Andreas Sturmlechner
2018-07-22 23:22 Andreas Sturmlechner
2018-07-22 1:27 Mikle Kolyada
2018-07-09 14:17 Mikle Kolyada
2018-07-02 0:49 Thomas Deutschmann
2018-06-28 21:32 Pacho Ramos
2018-06-27 22:22 Sergei Trofimovich
2018-06-27 21:54 Sergei Trofimovich
2018-06-27 17:23 Tobias Klausmann
2018-06-27 6:25 Sergei Trofimovich
2018-06-17 21:53 Mart Raudsepp
2018-06-13 10:41 Michał Górny
2018-06-12 20:48 Sergei Trofimovich
2018-06-12 10:23 Sergei Trofimovich
2018-04-27 18:22 Michał Górny
2018-04-16 15:35 Michał Górny
2017-06-16 10:37 Alexis Ballier
2017-04-21 7:59 Lars Wendler
2016-11-20 7:28 Michael Palimaka
2016-10-24 9:34 Pacho Ramos
2016-08-11 13:28 Mike Frysinger
2016-07-08 12:02 Agostino Sarubbo
2016-07-08 10:02 Agostino Sarubbo
2016-07-08 7:53 Agostino Sarubbo
2016-05-20 15:27 Tobias Klausmann
2016-05-17 18:33 Markus Meier
2016-05-14 22:23 Agostino Sarubbo
2016-05-14 22:22 Agostino Sarubbo
2016-05-14 8:13 Jeroen Roovers
2016-05-13 13:52 Jeroen Roovers
2016-05-11 7:29 Lars Wendler
2016-04-05 17:28 Mike Frysinger
2016-04-02 4:11 Mike Frysinger
2016-03-19 11:35 Agostino Sarubbo
2016-03-15 16:39 Agostino Sarubbo
2016-02-03 20:50 Markus Meier
2016-01-30 16:55 Tobias Klausmann
2016-01-27 17:41 Jeroen Roovers
2016-01-26 16:42 Agostino Sarubbo
2016-01-26 7:52 Mike Frysinger
2015-11-02 20:07 Mike Frysinger
2015-08-14 6:36 Mike Frysinger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1574601220.d8872668dbb45f7cc92d3bb05c1ab36545c15f45.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox